# atomic_container – Manage the containers on the atomic host platform

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manage the containers on the atomic host platform

- Allows to manage the lifecycle of a container on the atomic host platform

## Requirements

The below requirements are needed on the host that executes this module.

- atomic

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

backend
- / required

Choices:
- docker
- ostree

Define the backend to use for the container

image - / required |  | The image to use to install the container

mode
- / required

Choices:
- user
- system

Define if it is an user or a system container

name - / required |  | Name of the container
rootfs - |  | Define the rootfs of the image

state
- / required

Choices:
- latest ←
- present
- absent
- rollback

State of the container

values - |  | Values for the installation of the container. This option is permitted only with mode 'user' or 'system'. The values specified here will be used at installation time as --set arguments for atomic install.

## Notes

Note

- Host should support `atomic` command

## Examples

    # Install the etcd system container
    - atomic_container:
        name: etcd
        image: rhel/etcd
        backend: ostree
        state: latest
        mode: system
        values:
            - ETCD_NAME=etcd.server

    # Uninstall the etcd system container
    - atomic_container:
        name: etcd
        image: rhel/etcd
        backend: ostree
        state: absent
        mode: system

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | always | The command standard output Sample: [{"u'Using default tag": "latest ...'"}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Giuseppe Scrivano (@giuseppe)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.